set.start {Zelig} | R Documentation

## Set starting values for all parameters

### Description

After using `parse.par` and `model.matrix.multiple`, use `set.start` to set starting values for all parameters. By default, starting values are set to 0. If you wish to select alternative starting values for certain parameters, use `put.start` after `set.start`.

### Usage

    set.start(start.val = NULL, terms)

### Arguments

`start.val` | user-specified starting values. If `NULL` (default), the default starting values for all parameters are set to 0.
`terms` | the terms output from `model.frame.multiple`

### Value

A named vector of starting values for all parameters specified in `terms`, defaulting to 0.

### Author(s)

Kosuke Imai <kimai@princeton.edu>; Gary King <king@harvard.edu>; Olivia Lau <olau@fas.harvard.edu>; Ferdinand Alimadhi <falimadhi@iq.harvard.edu>

### See Also

`put.start`, `parse.par`, `model.frame.multiple`, and the full Zelig manual at http://gking.harvard.edu/zelig.

### Examples

    ## Not run:
    fml <- parse.formula(formula, model = "bivariate.probit")
    D <- model.frame(fml, data = data)
    terms <- attr(D, "terms")
    start.val <- set.start(start.val = NULL, terms)
    ## End(Not run)

[Package Zelig version 3.4-3 Index]